export const pageJumps = {
	methods:{
	  //合同详情
	  toContractDetail(id) {
	  	uni.navigateTo({
	  		url: '/pagesB/contract/contractDetail?id=' + id
	  	})
	  },
	  //客户详情
	  toMore(id) {
	  	uni.navigateTo({
	  		url: '/pages/index/groupCompany/groupCompany?id='+id
	  	})
	  },
	  //联系人详情
	  jumpDetail(id) {
	  	uni.navigateTo({
	  		url: "/pages/index/groupCompany/contact/contactDetail?id=" + id
	  	})
	  },
	  // 线索 详情
	  moreClick(id) {
	  	uni.navigateTo({
	  		url:'/pagesA/crm/cluesManagement/cluesMore/cluesMore?id='+id
	  	})
	  },
	  gotoVaried(type) {
	  	switch (type) {
	  		case 0:  //跳地图
	  			uni.navigateTo({
	  				url: '/pages/index/locationMap/locationMap',
	  			})
	  			break;
	  		case 1:   //跳公司
	  			uni.navigateTo({
	  				url: '/pages/index/groupCompany/groupCompany',
	  			})
	  			break;
	  		case 2:   //跳员工
	  			uni.showToast({
	  				title: "员工页面未完成,无法跳转",
	  				icon: "none",
	  				duration: 1000
	  			})
	  			break;
	  		case 3:   //跳工作日报
	  			uni.showToast({
	  				title: "工作日报设计图报错，无法跳转",
	  				icon: "none",
	  				duration: 1000
	  			})
	  			break;
	  	}
	  },
	  detail(){
		  uni.showToast({
		  	title: "排行榜设计图报错，无法跳转",
		  	icon: "none",
		  	duration: 1000
		  })
	  },
	  redactSchedule(){
		  uni.showToast({
		  	title: "编辑日程页面未完成,无法跳转",
		  	icon: "none",
		  	duration: 1000
		  })
	  }
	}
}